Subject: [bug#66430] [PATCH v3] doc: Mention the responsibilities that blocking comes with.

From: André Batista <[email-masked]>
Date: Fri, 2 Feb 2024 18:55:14 -0300

Hello,

sáb 14 out 2023 às 09:06:53 (1697285213), [email-masked] enviou:
> * doc/contributing.texi (Commit Access): Mention that blocking comes with
> extra responsibilities.
> 
> Reviewed-by: Simon Tournier <[email-masked]>
> ---
> 
> Changes in v3:
>  - s/participant/contributor (which may or may not have commit access)/
> 
> Changes in v2:
>  - Reword per suggestions
> 
>  doc/contributing.texi | 13 ++++++++++++-
>  1 file changed, 12 insertions(+), 1 deletion(-)
> 
> diff --git a/doc/contributing.texi b/doc/contributing.texi
> index 864190b119..f68ff5bb23 100644
> --- a/doc/contributing.texi
> +++ b/doc/contributing.texi
> @@ -2030,7 +2030,18 @@ Commit Access
>  consensus and make decisions based on consensus.  To learn what
>  consensus decision making means and understand its finer details, you
>  are encouraged to read
> -@url{https://www.seedsforchange.org.uk/consensus}.
> +@url{https://www.seedsforchange.org.uk/consensus}.  It is expected from
> +all contributors, and even more so from committers, to help build
> +consensus and make decisions based on consensus.  By using consensus, we
> +are committed to finding solutions that everyone can live with.  It
> +implies that no decision is made against significant concerns and these
> +concerns are actively resolved with proposals that work for everyone.  A
> +contributor (which may or may not have commit access) wishing to block a
> +proposal bears a special responsibility for finding alternatives,
> +proposing ideas/code or explain the rationale for the status quo to
> +resolve the deadlock.  To learn what consensus decision making means and
> +understand its finer details, you are encouraged to read
> +<https://www.seedsforchange.org.uk/consensus>.

I believe this is commit b88bff628. I did not follow this thread, but
I've noticed now that it has two issues:

First it repeated the phrase: "To learn what consensus... read
<https://www.seedsforchange.org.uk/consensus>" before and as the last
sentence on the patch.

Second it uses '<...>' instead of '@url{...}' on the second occurence,
which was probably the one intended to be kept.

Cheers,

André